Name: sugar-terminal-activity
Version: 44
Release: %mkrel 1
Summary: Terminal for Sugar
License: GPLv2+
Group: Graphical desktop/Other
Url: http://sugarlabs.org/

Source: http://download.sugarlabs.org/sources/sucrose/fructose/Terminal/Terminal-%{version}.tar.bz2

Requires: python-simplejson  
Requires: sugar-toolkit
Requires: python-gi

BuildRequires: gettext  
BuildRequires: sugar-toolkit-gtk3
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildArch: noarch

%description
The terminal activity provides a vte-based terminal for the Sugar interface.

%prep
%setup -q -n Terminal-%{version}


%build
rm -f MANIFEST
python setup.py build

%install
python setup.py install --prefix=%{buildroot}/%{_prefix}
find %{buildroot} -name '*.py.orig' -print0 | xargs -0 rm -f
%find_lang org.laptop.Terminal

%files -f org.laptop.Terminal.lang
%{_datadir}/sugar/activities/*
%doc COPYING MAINTAINERS NEWS README





%changelog
* Mon Jan 18 2016 zezinho <zezinho> 44-1.mga6
+ Revision: 925340
- new version

* Wed Oct 15 2014 umeabot <umeabot> 42-3.mga5
+ Revision: 746363
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 42-2.mga5
+ Revision: 689600
- Mageia 5 Mass Rebuild

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

* Wed May 28 2014 zezinho <zezinho> 42-1.mga5
+ Revision: 627357
- new version

* Sat Nov 02 2013 fwang <fwang> 41-4.mga4
+ Revision: 549019
- cleanup requires

* Fri Oct 18 2013 umeabot <umeabot> 41-3.mga4
+ Revision: 519361
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 41-2.mga3
+ Revision: 383696
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 zezinho <zezinho> 41-1.mga3
+ Revision: 326184
- fix build requires
- new version

* Wed Nov 21 2012 zezinho <zezinho> 36-1.mga3
+ Revision: 320141
- newversion

* Sat Nov 19 2011 zezinho <zezinho> 35-1.mga2
+ Revision: 169549
- new version

  + ennael <ennael>
    - imported package sugar-terminal-activity


* Mon Oct 12 2009 Aleksey Lim <alsroot@mandriva.org> 28-1mdv2010.0
+ Revision: 456981
- Push 28

* Fri Sep 25 2009 Aleksey Lim <alsroot@mandriva.org> 27-1mdv2010.0
+ Revision: 449009
- Update to 27

* Sat Sep 19 2009 Aleksey Lim <alsroot@mandriva.org> 26-1mdv2010.0
+ Revision: 444549
- Update to 26

* Mon Apr 06 2009 Aleksey Lim <alsroot@mandriva.org> 25-1mdv2009.1
+ Revision: 364291
- Sucrose 0.84.2 release

* Wed Mar 04 2009 Aleksey Lim <alsroot@mandriva.org> 23-1mdv2009.1
+ Revision: 348321
- Sucrose 0.84.0 release

* Sun Jan 11 2009 Aleksey Lim <alsroot@mandriva.org> 21-1mdv2009.1
+ Revision: 328411
- initial commit

